//###########################################################################
//#
//# Diplomarbeit von Michel Jaggi / Abalone Spiel
//#
//# Datum: 22.06.2002
//#
//# Klasse Matrix dient zur Erzeugung der Matrix und zur Behandlung der
//# Spielregeln und der grafischen Anzeige der Matrix.
//#
//###########################################################################
#include "IOMessages.h"
#include "Unit1.h"

using namespace std;

//###########################################################################
//#
//# Erstellen des zweidimensionalen Arrays
//#
//###########################################################################
void IOMessages::ShowMessage(int IOMessageNr)
{
  switch (IOMessageNr)
  {
  case 1:           Application->MessageBox(
                    "Ungültiger Zug! \nBitte gültigen Spielzug machen!",
                    "Fehler!",
                    MB_OK);
                    break;
  case 2:
  case 3:
  case 4:           Application->MessageBox(
                    "Sie haben keine Kugel ausgewählt! Bitte Kugel auswählen!",
                    "Fehler!",
                    MB_OK);
                    break;
  case 5:           Application->MessageBox(
                    "Sie müssen zuerst ein neues Spiel starten, \nbevor Sie Kugeln verschieben können!",
                    "Fehler!",
                    MB_OK);
                    break;
  case 6:           Application->MessageBox(
                    "Bitte einen gültigen Namen eingeben!",
                    "Fehler!",
                    MB_OK);
                    break;
  case 7:           Application->MessageBox(
                    "Bitte verschieben Sie Ihre Steinfarbe!",
                    "Fehler!",
                    MB_OK);
                    break;
  case 8:           Application->MessageBox(
                    "Sie können Ihre Steine nicht aus dem Spielfeld schieben!",
                    "Fehler!",
                    MB_OK);
                    break;
  case 9:           Application->MessageBox(
                    "Die Punktezählung wird erst zu Beginn \neines neuen Spiels aktiviert!",
                    "Fehler!",
                    MB_OK);
                    break;
  case 10:           Application->MessageBox(
                    "Sie müssen die Felder ausfüllen!",
                    "Fehler!",
                    MB_OK);
                    break;
  case 24:          Application->MessageBox(
                    "Spieler 1 hat gewonnen!",
                    "Info!",
                    MB_OK);
                    break;
  case 25:          Application->MessageBox(
                    "Spieler 2 hat gewonnen!",
                    "Info!",
                    MB_OK);
                    break;
  }
}
